## org.codehaus.groovy.grails.web.sitemesh
Class GrailsHTMLPageParser

    java.lang.Object
      com.opensymphony.module.sitemesh.parser.HTMLPageParser
          org.codehaus.groovy.grails.web.sitemesh.GrailsHTMLPageParser

All Implemented Interfaces:
  com.opensymphony.module.sitemesh.PageParser

    public class GrailsHTMLPageParser

extends com.opensymphony.module.sitemesh.parser.HTMLPageParser

Constructor Summary
`GrailsHTMLPageParser()`

Method Summary
`protected void` `addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html, com.opensymphony.module.sitemesh.html.rules.PageBuilder page)`
`com.opensymphony.module.sitemesh.Page` `parse(char[] data)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrailsHTMLPageParser

    public GrailsHTMLPageParser()

Method Detail

### parse

    public com.opensymphony.module.sitemesh.Page parse(char[] data)
                                                throws IOException

  Specified by:
    `parse` in interface `com.opensymphony.module.sitemesh.PageParser`
  Overrides:
    `parse` in class `com.opensymphony.module.sitemesh.parser.HTMLPageParser`
  Throws:
    `IOException`

### addUserDefinedRules

    protected void addUserDefinedRules(com.opensymphony.module.sitemesh.html.State html,
                                       com.opensymphony.module.sitemesh.html.rules.PageBuilder page)

  Overrides:
    `addUserDefinedRules` in class `com.opensymphony.module.sitemesh.parser.HTMLPageParser`

Copyright (c) 2005-2009 The Grails project